---
title: "List budget versions · Budgets · COUNT Partner API"
description: "Returns version summaries for a budget. GET /partners/budgets/{uuid}/versions"
canonical: "https://developers.getcount.com/reference/budgets/list-budget-versions"
source: "https://developers.getcount.com/reference/budgets/list-budget-versions"
---
[Budgets](https://developers.getcount.com/reference/budgets) / List budget versions

# List budget versions

GET `/partners/budgets/{uuid}/versions`

Returns version summaries for a budget.

HMAC signature + Bearer access token

[Try this request](https://developers.getcount.com/tools/try-it?method=GET&path=%2Fpartners%2Fbudgets%2F%7Buuid%7D%2Fversions)

[Chart of Accounts API](https://developers.getcount.com/reference/chart-of-accounts) [Reports API](https://developers.getcount.com/reference/reports)

#### Path parameters

`uuid` uuid required

The budget UUID.

#### Responses

`200` Version list.

`404` Budget not found.

`401` Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-401)

`403` The credential does not have access to this workspace or resource. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-403)

`429` Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. [Troubleshoot](https://developers.getcount.com/getting-started/errors#error-429)

[Previous GET Get budget grid](https://developers.getcount.com/reference/budgets/get-budget-grid) [Next POST Create budget version](https://developers.getcount.com/reference/budgets/create-budget-version)

GET `https://api.getcount.com/partners/budgets/{uuid}/versions`

Request

```javascript
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'GET';
const signingPath = '/budgets/3fa85f64-5717-4562-b3fc-2c963f66afa6/versions';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';

const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/budgets/3fa85f64-5717-4562-b3fc-2c963f66afa6/versions`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
});

console.log(await response.json());
```

Response · 200

```json
{
  "status": "success",
  "message": "Success on fetching budget versions",
  "data": {
    "versions": [
      {
        "versionNumber": 1,
        "label": "Initial",
        "isPublished": false,
        "createdAt": "2026-01-15T10:30:00.000Z"
      }
    ]
  }
}
```
